<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{thankyou.TabTitle}"></title>
    <script type="text/javascript">
	var startTime = new Date().getTime();
	window.dataLayer = window.dataLayer || [];
	window.dataLayer.push({
	'pageCategory': 'ThankYou Page',
	'thankYouStartTime': startTime
});
</script>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main" tabindex="-1" th:object="${rft}">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: logout_only">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">
            <form th:action="@{/thankyou/finish}" method="post" class="form" novalidate="novalidate" id="thankyou-form">

                <div class="done-panel">
                    <h1 class="heading-large">
                        <span id="done-tick"> </span>
                        Done
                    </h1>
                    <p class="lede">
                        <span id="thank-you-contributionMonth" th:text="*{contributionDate.contributionMonth}"></span> <span id="thank-you-contributionYear" th:text="*{contributionDate.contributionYear}"></span> contribution successfully submitted
                    </p>
                </div>

                <div class="grid-row">
                    <div class="column-half">
                        <h2 class="heading-medium">
                            <span id="contributionMonth" th:text="*{contributionDate.contributionMonth}"></span> <span id="contributionYear" th:text="*{contributionDate.contributionYear}"></span>
                        </h2>
                    </div>
                    <div class="column-half">
                        <div class="print-page">
                            <a class="icon print-icon" href="javascript:window.print();"> Print this page</a>
                        </div>
                    </div>
                </div>


            <table class="content-table stack-table three-column">
                <caption class="heading-small visually-hidden" th:text="#{thankyou.contributionDetails}" id="thank-you-payment-header">Contribution details</caption>
                <thead>
                <tr>
                    <th colspan="2" id="contributions-header" th:text="#{thankyou.contributionDetails}">Payment details</th>
                </tr>
                </thead>
                <tbody th:include="fragments/contributions-table :: adjustments"></tbody>
                <tbody th:include="fragments/contributions-table :: contributions"></tbody>
                <tbody>
                    <tr class="total">
                        <td class="bold" th:text="#{summary.totalDebitAmount}" id="contribution-total-key">Total amount to be debited</td>
                        <td id="contribution.total.debit" class="numeric"><strong th:text="'&pound;' + *{totalDebitAmount}">-</strong></td>
                    </tr>
                </tbody>
            </table>


            <table class="content-table stack-table three-column page-no-break">
                <caption class="heading-small visually-hidden" th:text="#{thankyou.contributionSchedule}" id="make-payment-header">Make payment</caption>
                <thead>
                <tr>
                    <th colspan="2"><span th:text="#{thankyou.contributionSchedule}">Make payment</span></th>
                </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="cell-first" th:text="#{thankyou.contributionMonth}" id="payment-year-key">What month is this payment for?</td>
                        <td class="numeric"><span id="contribution-month" th:text="*{contributionDate.contributionMonth}">-</span>&nbsp;<span id="contribution-year" th:text="*{contributionDate.contributionYear}">-</span></td>
                    </tr>
                    <tr>
                        <td class="cell-first" th:text="#{thankyou.transferDate}" id="payment-month-key">When do you want to pay?</td>
                        <td class="numeric"><span id="transfer-day" th:text="*{transferDate.days}">-</span>&nbsp;<span id="transfer-month" th:text="*{transferDate.month}">-</span>&nbsp;<span id="transfer-year" th:text="*{transferDate.year}">-</span></td>
                    </tr>
                    <tr>
                        <td class="cell-first"  id="submitted-date-key" th:text="#{thankyou.submittedDate}">When you submitted your payment</td>
                        <td class="numeric"><span id="submitted-date" th:text="${formattedSubmittedDate}"></span></td>
                    </tr>
                </tbody>
            </table>


            <table class="content-table stack-table three-column">
                <caption class="heading-small visually-hidden" th:text="#{summary.section.contact}" id="contact-details-header">Your contact details</caption>
                <thead>
                <tr>
                    <th colspan="2"><span th:text="#{summary.section.contact}">Your contact details</span></th>
                </tr>
                </thead>
                <tbody th:include="fragments/contact-details :: contact-details"></tbody>
            </table>

                <div class="form-group" th:if="${multiEa == true}">
                    <a th:href="@{/multi-ea}" th:text="#{multi.ea.pay.another.link}"  th:id="pay-another-ea-link">Pay another EA Account</a>
                </div>

                <div class="form-group" id="finish-button">
                    <button type="submit" id="submit" class="button" th:text="#{thankyou.finish}">Finish and feedback</button>
                </div>

            </form>
        </div>
    </div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>
<div th:replace="fragments/typeahead :: month-typeahead">...</div>

</body>
</html>
